Retrieve a single balance by ID from your Blnk Core instance.
curl -X GET "https://api.cloud.blnkfinance.com/data/balances/bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"balance": 100.50,
"inflight_balance": 0,
"credit_balance": 50.25,
"inflight_credit_balance": 0,
"debit_balance": 50.25,
"inflight_debit_balance": 0,
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"identity_id": "",
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"currency": "USD",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": null
}
Retrieve details for a specific balance by its ID.Documentation Index
Fetch the complete documentation index at: https://guide.cloud.blnkfinance.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET "https://api.cloud.blnkfinance.com/data/balances/bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
Bearer <access_token>. Your OAuth key must include data:read scope (or *).{
"balance": 100.50,
"inflight_balance": 0,
"credit_balance": 50.25,
"inflight_credit_balance": 0,
"debit_balance": 50.25,
"inflight_debit_balance": 0,
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"identity_id": "",
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"currency": "USD",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": null
}
curl -X GET "https://api.cloud.blnkfinance.com/data/balances/bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f?instance_id=YOUR_INSTANCE_ID" \
-H "Authorization: Bearer blnk_at_YOUR_ACCESS_TOKEN"
{
"balance": 100.50,
"inflight_balance": 0,
"credit_balance": 50.25,
"inflight_credit_balance": 0,
"debit_balance": 50.25,
"inflight_debit_balance": 0,
"ledger_id": "ldg_073f7ffe-9dfd-42ce-aa50-d1dca1788adc",
"identity_id": "",
"balance_id": "bln_5ce86029-3c2e-4e2a-aae2-7fb931ca4c4f",
"currency": "USD",
"created_at": "2024-11-26T08:36:36.238244338Z",
"meta_data": null
}